Package com.google.android.exoplayer2.drm

## Class ExoMediaDrm.ProvisionRequest

- java.lang.Object
- - com.google.android.exoplayer2.drm.ExoMediaDrm.ProvisionRequest

- Enclosing interface:
    ExoMediaDrm

      public static final class ExoMediaDrm.ProvisionRequest
      extends Object

  Contains data to request a certificate from a provisioning server.
  See Also:
    `MediaDrm.ProvisionRequest`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProvisionRequest​(byte[] data, String defaultUrl)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getData()` | Returns the opaque provisioning request data.
    `String` | `getDefaultUrl()` | Returns the default URL of the provisioning server to which the request can be made, or the empty string if not known.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProvisionRequest

          public ProvisionRequest​(byte[] data,
                                  String defaultUrl)

      Creates an instance.
      Parameters:
        `data` - The opaque provisioning request data.
        `defaultUrl` - The default URL of the provisioning server to which the request can be made, or the empty string if not known.

  - ### Method Detail

    - #### getData

          public byte[] getData()

      Returns the opaque provisioning request data.

    - #### getDefaultUrl

          public String getDefaultUrl()

      Returns the default URL of the provisioning server to which the request can be made, or the empty string if not known.